Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Confirmed] python-updater: always the same packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
MotivatedTea
Apprentice
Apprentice


Joined: 06 Nov 2006
Posts: 269
Location: Toronto, Canada

PostPosted: Sun May 20, 2012 4:26 am    Post subject: [Confirmed] python-updater: always the same packages Reply with quote

EDIT: Thanks, salahx, for pointing out that this is a known bug in the current version of python-updater.

----------

I have just done a major update, after having left the system alone for a few months. I think I'm just about up-to-date. revdep-rebuild and perl-cleaner finished without problems. However, python-updater is giving me problems. It always complains about the same 8 packages. Here is a python-updater run:
Code:
 # python-updater -- -j2
 * Starting Python Updater...
 * Main active version of Python:    2.7
 * Active version of Python 2:       2.7
 * Active version of Python 3:       3.2
 * Globally supported Python ABIs in installed repositories:
 *   Cadenza_overlay:                2.4 2.5 2.6 2.7 3.1 3.2 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8
 *   gentoo:                         2.4 2.5 2.6 2.7 3.1 3.2 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8
 *   kde-sunset:                     2.4 2.5 2.6 2.7 3.1 3.2 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8
 *   sunrise:                        2.4 2.5 2.6 2.7 3.1 3.2 2.5-jython 2.7-pypy-1.7 2.7-pypy-1.8
 *   Adding to list: app-pda/pilot-link:0
 *   Adding to list: dev-libs/libgamin:0
 *   Adding to list: dev-libs/libxslt:0
 *   Adding to list: dev-vcs/subversion:0
 *   Adding to list: media-libs/lcms:0
 *   Adding to list: net-analyzer/rrdtool:0
 *   Adding to list: sys-apps/file:0
 *   Adding to list: sys-libs/cracklib:0
 * emerge -Dv1 --keep-going app-pda/pilot-link:0 dev-libs/libgamin:0 dev-libs/libxslt:0 dev-vcs/subversion:0 media-libs/lcms:0 net-analyzer/rrdtool:0 sys-apps/file:0 sys-libs/cracklib:0 -j2 --keep-going

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/file-5.09  USE="zlib -python -static-libs" 0 kB
[ebuild   R    ] sys-libs/cracklib-2.8.16  USE="nls -python" 0 kB
[ebuild   R    ] dev-libs/libgamin-0.1.10-r2  USE="-debug -python -static-libs" 0 kB
[ebuild   R    ] media-libs/lcms-1.19  USE="jpeg static-libs tiff zlib -python" 0 kB
[ebuild   R    ] dev-libs/libxslt-1.1.26-r3  USE="crypt -debug -python -static-libs" 0 kB
[ebuild   R    ] net-analyzer/rrdtool-1.4.5-r1  USE="tcl -doc -lua -perl -python -rrdcgi -ruby" 0 kB
[ebuild   R    ] app-pda/pilot-link-0.12.5  USE="bluetooth java png readline threads usb -debug -perl -python" 0 kB
[ebuild   R    ] dev-vcs/subversion-1.6.17-r7  USE="apache2 bash-completion berkdb java kde nls perl sasl webdav-neon -ctypes-python -debug -doc -dso -emacs -extras -gnome-keyring -python -ruby -vim-syntax -webdav-serf" 0 kB

Total: 8 packages (8 reinstalls), Size of downloads: 0 kB

>>> Verifying ebuild manifests
>>> Starting parallel fetch
>>> Emerging (1 of 8) sys-apps/file-5.09
>>> Emerging (2 of 8) sys-libs/cracklib-2.8.16
>>> Installing (1 of 8) sys-apps/file-5.09
>>> Installing (2 of 8) sys-libs/cracklib-2.8.16
>>> Emerging (3 of 8) dev-libs/libgamin-0.1.10-r2
>>> Installing (3 of 8) dev-libs/libgamin-0.1.10-r2
>>> Emerging (4 of 8) media-libs/lcms-1.19
>>> Installing (4 of 8) media-libs/lcms-1.19
>>> Emerging (5 of 8) dev-libs/libxslt-1.1.26-r3
>>> Installing (5 of 8) dev-libs/libxslt-1.1.26-r3
>>> Emerging (6 of 8) net-analyzer/rrdtool-1.4.5-r1
>>> Emerging (7 of 8) app-pda/pilot-link-0.12.5
>>> Installing (7 of 8) app-pda/pilot-link-0.12.5
>>> Emerging (8 of 8) dev-vcs/subversion-1.6.17-r7
>>> Installing (6 of 8) net-analyzer/rrdtool-1.4.5-r1
>>> Installing (8 of 8) dev-vcs/subversion-1.6.17-r7
>>> Jobs: 8 of 8 complete                           Load avg: 1.35, 1.67, 1.29
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.



If I run "python-updater" again, it will rebuild the same 8 packages again. What's going on?




Other potentially useful info:
Code:
 # eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.2


And:
Code:
 # emerge --info
Portage 2.1.10.49 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.3, glibc-2.14.1-r3, 3.0.17-tuxonice-r1 x86_64)
=================================================================
System uname: Linux-3.0.17-tuxonice-r1-x86_64-Intel-R-_Core-TM-2_CPU_T7200_@_2.00GHz-with-gentoo-2.0.3
Timestamp of tree: Fri, 18 May 2012 23:15:01 +0000
ccache version 3.1.6 [enabled]
app-shells/bash:          4.2_p20
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r1, 3.2.3
dev-util/ccache:          3.1.6
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.6.3-r1, 1.9.6-r3, 1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.4.6-r1, 4.5.3-r2
sys-devel/gcc-config:     1.5-r2
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo Cadenza_overlay kde-sunset sunrise
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -O2 -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /usr/share/X11/xkb"
CXXFLAGS="-O2 -pipe -O2 -march=native -pipe -O2 -pipe"
DISTDIR="/usr/local/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="ftp://192.168.13.52/ ftp://gentoo.arcticnetwork.ca/pub/gentoo/ http://gentoo.arcticnetwork.ca/ ftp://planetmirror.com/pub/gentoo/"
LANG="en_CA.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,-O1 -Wl,--sort-common"
LINGUAS="en_CA en en_GB en_US de_DE fr_CA fr_FR"
MAKEOPTS="-j6 -l3"
PKGDIR="/usr/local/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/Cadenza-overlay /var/lib/layman/kde-sunset /var/lib/layman/sunrise"
SYNC="rsync://192.168.13.52/gentoo-portage"
USE="X Xaw3d a52 aac aacplus acl acpi addbookmarks addressbook aften akonadi alias alsa amd64 amr amrnb amrwb ao apache2 asf aspell async audiofile autoreplace avahi bash-completion bcmath berkdb bitmap-fonts bjam blas bluetooth browserplugin bzip2 cairo cblas cdda cddb cdparanoia cdr cgi cgraph chm cleartype cli connectionstatus consolekit contactnotes cpudetection cracklib crypt css ctype cups curl curlwrappers cvs cxx dbus declarative desktopglobe device-mapper dia dirac discard-path disk-partition djbfft djvu dmi dmraid dnotify dri dts dv dvb dvd dvdr dvdread ebook edl effects emboss emf emoticons-manager encode exif extraengine fam fame fat fax festival ffmpeg fftw firefox fits flac font-server fontconfig foomaticdb fortran fpx ftp fuse gd gdbm geoip geolocation gif gimp ginac git glitz glut gmm gmp gnutls gphoto2 gpm graphviz gs gsm gtk gtk2 hash hdri heterogeneous hfs history hotpixels hpn iconv id3tag idn ieee1394 imagemagick imlib inkjar inotify ipv6 irc jabber java javascript jbig jfs joystick jpeg jpeg2k kde kdehiddenvisibility kino kipi konqueror kpathsea kqemu ladspa lame lapack largeterminal latex lcms lensfun libkms libnotify libsamplerate libssh2 libv4l live loop-aes lzma lzo mad mbrola md5sum mdnsresponder-compat memlimit mhash midi mikmod mjpeg mmap mmx mmxext mng modplug modules motif mozbranding mp2 mp3 mp4 mpeg mpi mplayer msn mudflap multilib musepack musicbrainz mysql nas ncurses nemesi netmeeting network new-login nfs nls nptl nsplugin nspluginwrapper ntfs ntp nut nuv oav octave ogg oggvorbis openal opencore-amr openexr opengl openmp openssl openvpn oss pam pango parport pch pcmcia pcre pda pdf phonon php physfs plasma plotutils plugin png pnm policykit portaudio posix postproc postscript povray ppds pppd qalculate qhull qt3 qt3support qt4 quicktime rar raw rdesktop rdp readline reiserfs reports rle romio rtc rtmp samba sasl scanner schroedinger sdl semantic-desktop session slp sndfile sockets socks5 solver soundtouch sourceview sox speex spell sql srt sse sse2 ssh ssl ssse3 startup-notification statistics stencil-buffer subtitles subversion svg swat syslog szip taglib tcl tcltk tcpd texteffect tga theora threads threadsafe tiff timidity tk translator truetype truetype-fonts twolame type1-fonts udev udisks umfpack unicode upower urandom usb userlocales utempter v4l v4l2 vaapi vamp vcd vdpau video vnc vorbis vorbis-psy vpx wavpack webkit webm webp wifi winbind wmf wpd wpg wps wxwidgets wxwindows x264 xanim xcb xcomposite xetex xforms xfs xft xine xinerama xml xorg xpm xprint xscreensaver xulrunner xv xvid xvmc xz yv12 zeroconf zip zlib" ALSA_CARDS="hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="dm lvm" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev joystick keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_CA en en_GB en_US de_DE fr_CA fr_FR" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia v4l vga vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON


Last edited by MotivatedTea on Sun May 20, 2012 5:42 pm; edited 1 time in total
Back to top
View user's profile Send private message
salahx
Guru
Guru


Joined: 12 Mar 2005
Posts: 368

PostPosted: Sun May 20, 2012 5:47 am    Post subject: Reply with quote

Its a bug in python-updater - some package have no python brinding/support - and therefore no ABI. Unfortunately python-updater compares an empty string to the current ABI (which won't match) and blindly rebuild it.
Back to top
View user's profile Send private message
libertytrek
Apprentice
Apprentice


Joined: 18 Jul 2007
Posts: 252

PostPosted: Tue Dec 31, 2013 6:43 pm    Post subject: Reply with quote

Amazingly this bug is still here with python-updater 0.11...
Back to top
View user's profile Send private message
CDLM
Apprentice
Apprentice


Joined: 07 Jul 2003
Posts: 179
Location: Victoria, BC, Canada

PostPosted: Mon Feb 17, 2014 10:23 pm    Post subject: Reply with quote

Seems that this has been a problem for years... do we need to fix the ebuilds for these packages or is it python-updater itself that's the problem?

* Adding to list: sys-libs/cracklib:0
* check: PYTHON_ABIS [ Previous Python ABIs: , new Python ABIs: 2.7 ]
* Adding to list: sys-libs/libcap-ng:0
* check: PYTHON_ABIS [ Previous Python ABIs: , new Python ABIs: 2.7 3.3 ]

It's kinda frustrating that the tool that seemingly everyone recommends to run after a python update doesn't work correctly... :P
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum